import 'dart:async';

import 'package:equatable/equatable.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

part 'counter_event.dart';
part 'counter_state.dart';

/// {@template counter_bloc}
/// CounterBloc description
/// {@endtemplate}
class CounterBloc extends Bloc<CounterEvent, CounterState> {
  /// {@macro counter_bloc}
  CounterBloc() : super(const CounterInitial()) {
    on<CustomCounterEvent>(_onCustomCounterEvent);
  }

  FutureOr<void> _onCustomCounterEvent(
    CustomCounterEvent event,
    Emitter<CounterState> emit,
  ) async {
    // TODO(wyatt): Add custom UI logic
    const _ = 1 + 1;
    
    return;
  }
}
